Subject: [icnrg] Fwd: New Version Notification for draft-oran-icnrg-flowbalance-03.txt

From: "David R. Oran" <[email-masked]>
Date: Sat, 29 Feb 2020 17:18:42 -0800

I got really good comments on the -02 version of this from Ken Calvert, 
and waited a few weeks to se if anyone else had comments for me to 
address. I didn’t get any, so I made the edits noted in my email 
response to Ken and the list and posted this new -04 version.

so, if you have this in your queue to review, please review this version 
and not the prior -03.

Review and comments would be much appreciated!

DaveO

Forwarded message:

> From: [email-masked]
> To: Dave Oran <[email-masked]>, David Oran 
> <[email-masked]>
> Subject: New Version Notification for 
> draft-oran-icnrg-flowbalance-03.txt
> Date: Sat, 29 Feb 2020 17:15:54 -0800
>
> A new version of I-D, draft-oran-icnrg-flowbalance-03.txt
> has been successfully submitted by Dave Oran and posted to the
> IETF repository.
>
> Name:		draft-oran-icnrg-flowbalance
> Revision:	03
> Title:		Maintaining CCNx or NDN flow balance with highly variable data 
> object sizes
> Document date:	2020-02-29
> Group:		Individual Submission
> Pages:		16
> URL:            
> https://www.ietf.org/internet-drafts/draft-oran-icnrg-flowbalance-03.txt
> Status:         
> https://datatracker.ietf.org/doc/draft-oran-icnrg-flowbalance/
> Htmlized:       
> https://tools.ietf.org/html/draft-oran-icnrg-flowbalance-03
> Htmlized:       
> https://datatracker.ietf.org/doc/html/draft-oran-icnrg-flowbalance
> Diff:           
> https://www.ietf.org/rfcdiff?url2=draft-oran-icnrg-flowbalance-03
>
> Abstract:
>    Deeply embedded in some ICN architectures, especially Named Data
>    Networking (NDN) and Content-Centric Networking (CCNx) is the 
> notion
>    of flow balance.  This captures the idea that there is a one-to-one
>    correspondence between requests for data, carried in Interest
>    messages, and the responses with the requested data object, carried
>    in Data messages.  This has a number of highly beneficial 
> properties
>    for flow and congestion control in networks, as well as some
>    desirable security properties.  For example, neither legitimate 
> users
>    nor attackers are able to inject large amounts of un-requested data
>    into the network.
>
>    Existing congestion control approaches however have a difficult 
> time
>    dealing effectively with a widely varying MTU of ICN data messages,
>    because the protocols allow a dynamic range of 1-64K bytes.  Since
>    Interest messages are used to allocate the reverse link bandwidth 
> for
>    returning Data, there is large uncertainty in how to allocate that
>    bandwidth.  Unfortunately, most current congestion control schemes 
> in
>    CCNx and NDN only count Interest messages and have no idea how much
>    data is involved that could congest the inverse link.  This 
> document
>    proposes a method to maintain flow balance by accommodating the 
> wide
>    dynamic range in Data message size.
>
>
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat